<ion-content class="main-content">
  <div class="section">

    <div class="section-header">
      <div class="section-image-wrapper"><img class="section-image" src="../../../assets/logo-dr-who-white.png" class="icon-logo" alt="Doctor Who logo"></div>
      <h5 class="section-title">REGISTRARSE</h5>
    </div>

    <div class="section-body">
      <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">

        <ion-item>
          <div class="ion-item-general">
            <ion-label class="ion-label" position="fixed">Nombre de usuario</ion-label>
            <ion-input class="input-wrap" formControlName="userName" type="text" required></ion-input>
          </div>
        </ion-item>

        <ion-item>
          <div class="ion-item-general">
            <ion-label class="ion-label" position="fixed">Correo electrónico</ion-label>
            <ion-input class="input-wrap" formControlName="email" type="text" required></ion-input>
          </div>
        </ion-item>

        <ion-item>
          <div class="ion-item-general">
            <ion-label class="ion-label" position="fixed">Contraseña</ion-label>
            <ion-input class="input-wrap" formControlName="password" type="password" required></ion-input>
          </div>
        </ion-item>

        <div class="section-button-wrapper">
          <div class="section-button">
            <ion-button type="submit" expand="block" color="warning">REGISTRAR</ion-button>
          </div>
        </div>

      </form>
    </div>

    <div class="section-footer">
      <img class="section-footer-image" src="../../../assets/tardis.jpg" alt="" srcset="">
    </div>

  </div>
</ion-content>